Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType target-infoType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}target-infoType

Model
  `<...>
  name?, notes?, target?, module-type?, compatibility-name?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: basic-deploymentType, sub-deploymentType
  Components using this type: none

Documentation

  This bean defines a system-level JDBC resource. It links a separate descriptor that specifies the definition.

  MBean: `JDBCSystemResourceMBean`

  A system resource is a resource whose definition is part of the system configuration rather than an application. The descriptor for the resource is linked through config.xml but resides in a separate descriptor file. The beans representing this descriptor are exposed through JMX

  MBean: `SystemResourceMBean`

  This bean represents a file or archive that is deployed to a set of targets in the domain.

  MBean: `BasicDeploymentMBean`

  This bean represents any weblogic entity which can be targeted. A bean of this type does not imply that it can be deployed on a weblogic domain. For example, a module within an ear or a submodule within a JMS module. Deployments are represented by BasicDeploymentMBean .

  MBean: `TargetInfoMBean`

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`string` | `target` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`string` | `module-type` optional The values match those defined by jsr88.
`string` | `compatibility-name` optional This is only set for beans created as a result of conversion from an 8.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1